using System;

namespace Decal.Adapter.Wrappers;

public class AccountCharInfo : MarshalByRefObject
{
	private int myIndex;

	private CharacterFilter myFilter;

	public string Name => myFilter.get_AccountCharName(myIndex);

	public int Id => myFilter.get_AccountCharID(myIndex);

	public int Index => myIndex;

	internal AccountCharInfo(CharacterFilter filter, int index)
	{
		myFilter = filter;
		myIndex = index;
	}
}
